[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.CheckDisplayMemo

Indicates if the field is a Memo that needs to be displayed in the grid.

## Declaration

Source position: dbgrids.pas line 422

`protected function TCustomDBGrid.CheckDisplayMemo(`
`aField: TField`
`):Boolean;`

## Arguments

`aField` |  | Field examined in the method.

## Function result

True if the field is a memo field type and the display memo text option is enabled.

## Description

CheckDisplayMemo is a Boolean function used to determine if the specified field is a Memo field that needs to be displayed in the grid control. The return value is True when the specified field has the value ftMemo in its DataType property, and the Options property includes the value dgDisplayMemoText.

CheckDisplayMemo is called from various methods which measure or render the content for the grid, including:

- DefaultDrawCell
- DefaultDrawColumnCell
- DrawColumnText
- GetEditText
- GetTruncCellHintText
- EditorCanAcceptKey

## See also

TCustomDBGrid.Options |  | Contains the optional features or behaviors that are enabled for the grid control.
TField.DataType